textures/camera/camera
{
	qer_editorimage textures/camera/camera
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/camera/camera
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

models/mapobjects/skeletons/skeleton

{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/Skeletons/skeleton.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/skies/sithcouncilsky
{
	q3map_lightimage	textures/colors/white
	qer_editorimage	textures/skies/sky
	q3map_surfacelight	800
	q3map_lightsubdivide	512
	sun 1 1 1 400 300 50
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/sithcouncilsky 128 -
}

textures/sithcouncil2water/movingwater
{
	qer_editorimage	textures/common/direction
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Water
    {
        map textures/sithcouncil2water/water
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen const ( 0.752941 0.752941 0.752941 )
        alphaGen const 0.2
        tcMod scroll 0 -1
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/sithcouncil2water/stars
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 -1
    }
}

textures/skies/sithcouncil2sky
{
	q3map_lightimage	textures/colors/white
	qer_editorimage	textures/skies/sky
	q3map_surfacelight	800
	q3map_lightsubdivide	512
	sun 1 1 1 400 300 50
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/sithcouncil2sky 128 -
}

textures/sithcouncilv2/water_1
{
	qer_editorimage	textures/common/direction
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	Water
    {
        map textures/sithcouncilv2/water_1
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen const ( 0.752941 0.752941 0.752941 )
        alphaGen const 0.2
        tcMod scroll 0 -1
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/common/stars
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 -1
    }
}

textures/rbettenbergtest/t1_danger_sky
{
// q3map_surfacelight	75

// q3map_lightsubdivide	512

// sun 0.75 0.79 1 40 315 40

	qer_editorimage	textures/skies/sky.tga
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/bespin 512 -
}

textures/rbettenbergtest/t1_danger_phong
{
// {

// map textures/danger/sand

// blendFunc GL_DST_COLOR GL_ZERO

// rgbGen identity

// }

	q3map_shadeangle	120
	qer_editorimage	textures/danger/sand
	q3map_lightsubdivide	32
	q3map_nonplanar
	q3map_splotchfix
    {
// blendFunc GL_ONE GL_ZERO

// tcMod scale 0.7 0.7

        map textures/danger/sand
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/rbettenbergtest/t1_danger_streaked
{
// {

// map textures/danger/sand

// blendFunc GL_DST_COLOR GL_ZERO

// rgbGen identity

// }

	q3map_shadeangle	120
	qer_editorimage	textures/danger/sand_rough
	q3map_lightsubdivide	32
	q3map_nonplanar
	q3map_splotchfix
    {
// blendFunc GL_ONE GL_ZERO

// tcMod scale 0.3 1

        map textures/danger/sand_rough
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/rbettenbergtest/korriban1_phong
{
// q3map_lightsubdivide	32

	q3map_shadeangle	120
	qer_editorimage	textures/h_evil/evil_rock12
	q3map_nonplanar
	q3map_splotchfix
    {
// blendFunc GL_ONE GL_ZERO

        map textures/h_evil/evil_rock12
        rgbGen identity
        tcMod scale 0.5 0.5
    }
    {
        map textures/h_evil/evil_rock13
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/rbettenbergtest/rbettenbergtest_light1
{
// surfaceparm	monlightmap

	qer_editorimage	textures/colors/white.tga
	q3map_surfacelight	2400
	q3map_lightsubdivide	128
	surfaceparm	metalsteps
    {
        map textures/colors/white
    }
}

textures/rbettenbergtest/rbettenbergtest_glass1
{
	qer_editorimage	textures/rbettenbergtest/glass2
	q3map_tesssize	48
	qer_trans	0.5
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
    {
        map textures/rbettenbergtest/glass2
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/rbettenbergtest/rbettenbergtest_sky1
{
	qer_editorimage	textures/skies/sky.tga
	q3map_surfacelight	700
	q3map_lightsubdivide	512
	sun 1 0.85 0.85 350 300 60
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/bespin 512 -
}

textures/rbettenbergtest/tcfoghull
{
	qer_editorimage	textures/skies/sky.tga
	q3map_surfacelight	700
	q3map_lightsubdivide	512
	sun 1 0.85 0.85 350 300 60
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/rbettenbergtest/rbettenbergtestfoghull/tc 512 -
}

textures/rbettenbergtest/tc_lavatest
{
	qer_editorimage	textures/imp_mine/lava2
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	q3map_nolightmap
	q3map_novertexshadows
	cull	twosided
    {
        map textures/imp_mine/lava2
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod rotate 1
        tcMod turb 0 0.1 0.5 0.1
    }
    {
        map textures/imp_mine/lava2
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod rotate -1
        tcMod turb 0 0.1 0 0.1
    }
}

textures/rbettenbergtest/rbettenbergtest_sky_dpredicament
{
	q3map_lightimage	textures/skies/yavin_up.tga
	qer_editorimage	textures/skies/yavin_up.tga
	q3map_surfacelight	800
	q3map_lightsubdivide	512
	sun 0.898039 0.898039 1 400 300 50
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/yavin 512 -
}

textures/rbettenbergtest/rbettenbergtest_light1_dpredicament
{
	q3map_lightimage	textures/impdetention/metalpanel1f1dark
	lightcolor	( 0.9 0.9 1 )
	qer_editorimage	textures/impdetention/metalpanel1f1dark
	q3map_surfacelight	3200
	q3map_lightsubdivide	64
    {
        map $lightmap
    }
    {
        map textures/impdetention/metalpanel1f1dark
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/impdetention/metalpanel1f1darkglow
        blendFunc GL_ONE GL_ONE
    }
}

textures/rbettenbergtest/hevil_phongrock
{
	q3map_shadeangle	60
	qer_editorimage	textures/h_evil/evil_rock12
	q3map_nonplanar
    {
        map textures/h_evil/evil_rock12
        rgbGen identity
        tcMod scale 0.25 0.25
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/rbettenbergtest/rbettenbergtest_sky_hevil
{
	q3map_lightimage	textures/colors/white.tga
	qer_editorimage	textures/skies/yavin_up.tga
	q3map_surfacelight	800
	q3map_lightsubdivide	512
	sun 1 1 1 400 300 50
	surfaceparm	sky
	surfaceparm	noimpact
	surfaceparm	nomarks
	notc
	q3map_nolightmap
	skyParms	textures/skies/yavin 512 -
}

textures/rbettenbergtest/hevil_phongrock2
{
	q3map_shadeangle	60
	qer_editorimage	textures/h_evil/evil_rock13
	q3map_nonplanar
    {
        map textures/h_evil/evil_rock12
        blendFunc GL_ONE GL_ZERO
        tcMod scale 0.1 0.1
    }
    {
        map textures/h_evil/evil_rock13
        blendFunc GL_DST_COLOR GL_ZERO
        tcMod scale 0.5 0.5
    }
    {
        map $lightmap
        blendFunc GL_ZERO GL_ONE
    }
}

textures/rbettenbergtest/taspir_phongrock
{
	q3map_shadeangle	60
	qer_editorimage	textures/h_evil/evil_rock12.tga
	q3map_lightmapsamplesize	32
	q3map_nonplanar
    {
        map textures/h_evil/evil_rock12
        rgbGen identity
        tcMod scale 0.25 0.25
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/rbettenbergtest/taspir1_fog
{
// (  Red          Green        Blue     ) Distance

	qer_editorimage	textures/colors/white.tga
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.8 0.7 0.4 ) 4800.0
}

models/mapobjects/qkqtoilet/handle
{
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/qkqtoilet/handle.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/mapcent_flag/bb_flag_kells_blue
{
qer_editorimage textures/mapcent_flag/bb_flag_kells_blue.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7


	   {
		   map textures/mapcent_flag/bb_flag_kells_blue.tga
        	   blendfunc gl_src_alpha gl_one_minus_src_alpha
        	   alphaFunc GE128
		   depthwrite
        	   rgbGen vertex
	   }
}


////////////////////////////////////////////////////
//						  //
// Bushboy 07/12/01 				  //
// Red flag with Celtic Dogs symbol		  //
//						  //
//             (edited by AstroCreep 12.08.2001)  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/bb_flag_kells_red
{
qer_editorimage textures/mapcent_flag/bb_flag_kells_red.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7

	   {
		  map textures/mapcent_flag/bb_flag_kells_red.tga
                  blendfunc gl_src_alpha gl_one_minus_src_alpha
                  alphaFunc GE128
		  depthwrite
                  rgbGen vertex
	   }
}


////////////////////////////////////////////////////
//						  //
// Bushboy 07/12/01 				  //
// Blue flag with Threewave Logo		  //
//						  //
//             (edited by AstroCreep 12.08.2001)  //
//						  //
////////////////////////////////////////////////////


textures/mapcent_flag/bb_flag_tw_blue
{
qer_editorimage textures/mapcent_flag/bb_flag_tw_blue.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7

	   {
		   map textures/mapcent_flag/bb_flag_tw_blue.tga
                   blendfunc gl_src_alpha gl_one_minus_src_alpha
                   alphaFunc GE128
                   depthwrite
		   rgbGen vertex
	   }
}


////////////////////////////////////////////////////
//						  //
// Bushboy 07/12/01 				  //
// Red flag with Threewave Logo		  //
//						  //
//             (edited by AstroCreep 12.08.2001)  //
//						  //
////////////////////////////////////////////////////


textures/mapcent_flag/bb_flag_tw_red
{
qer_editorimage textures/mapcent_flag/bb_flag_tw_red.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7

	   {
		   map textures/mapcent_flag/bb_flag_tw_red.tga
                   blendfunc gl_src_alpha gl_one_minus_src_alpha
                   alphaFunc GE128
		   depthwrite
                   rgbGen vertex
	   }
}

////////////////////////////////////////////////////
//						  //
// Hotwire - May 2001	 			  //
// Eagle Flag 					  //
//						  //
//             (edited by AstroCreep 12.08.2001)  //
//						  //
////////////////////////////////////////////////////


textures/mapcent_flag/htw_eagle
{
qer_editorimage textures/mapcent_flag/htw_eagle.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7

	   {
		   map textures/mapcent_flag/htw_eagle.tga
                   blendfunc gl_src_alpha gl_one_minus_src_alpha
                   alphaFunc GE128
                   depthwrite
		   rgbGen vertex
	   }
}


////////////////////////////////////////////////////
//						  //
// Hotwire - May 2001	 			  //
// Snake Flag 					  //
//						  //
//             (edited by AstroCreep 12.08.2001)  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/htw_snake
{
qer_editorimage textures/mapcent_flag/htw_snake.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7

	   {
		   map textures/mapcent_flag/htw_snake.tga
                   blendfunc gl_src_alpha gl_one_minus_src_alpha
                   alphaFunc GE128
                   depthwrite
		   rgbGen vertex
	   }
}


////////////////////////////////////////////////////
//						  //
// Hotwire - May 2001	 			  //
// Lion Flag 					  //
//						  //
//             (edited by AstroCreep 12.08.2001)  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/htw_lion
{
qer_editorimage textures/mapcent_flag/htw_lion.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7

	   {
		   map textures/mapcent_flag/htw_lion.tga
                   blendfunc gl_src_alpha gl_one_minus_src_alpha
                   alphaFunc GE128
                   depthwrite
		   rgbGen vertex
	   }
}


////////////////////////////////////////////////////
//						  //
// Hotwire - May 2001	 			  //
// Wolf Flag 					  //
//						  //
//             (edited by AstroCreep 12.08.2001)  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/htw_wolf
{
qer_editorimage textures/mapcent_flag/htw_wolf.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7

	   {
		   map textures/mapcent_flag/htw_wolf.tga
                   blendfunc gl_src_alpha gl_one_minus_src_alpha
                   alphaFunc GE128
                   depthwrite
		   rgbGen vertex
	   }
}


////////////////////////////////////////////////////
//						  //
// Karloff		 			  //
// Huntflag 					  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/kf_huntflag
{
	qer_editorimage textures/mapcent_flag/kf_huntflag.tga
	tesssize 16
	cull disable
	deformVertexes bulge 32 2 .25	
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	sort banner
	{
	map textures/mapcent_flag/kf_huntflag.tga
	rgbgen vertex
	alphafunc ge128
	}
	{
	map textures/mapcent_flag/kf_huntflagdynamic.tga
	rgbgen wave sin 1 1 0.5 .125
	blendfunc gl_zero GL_ONE_MINUS_SRC_COLOR
	}
	{
	map textures/mapcent_flag/kf_huntflagdynamic.tga
	rgbgen wave sin 1 1 0 .125
	tcmod scale -1 1
	blendfunc gl_zero GL_ONE_MINUS_SRC_COLOR
	}
}

////////////////////////////////////////////////////
//						  //
// Jezebel		 			  //
// Red Snake Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/jez_flag_red
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1.5 0 0.25 
	tessSize 32
	{
		map textures/mapcent_flag/jez_flag_red.tga
		rgbGen identity
	}
	{
		map textures/mapcent_flag/jez_flagfx_red.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 2 6
		tcMod scroll 0.05 -0.02
		tcGen environment 
	}
	{
		map textures/mapcent_flag/jez_flag_red.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/jez_flagfx_shadow.tga
		blendfunc filter
		rgbGen identity
                tcMod scroll 0.05 -0.05
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Jezebel		 			  //
// Blue Snake Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/jez_flag_blue
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1.5 0 0.25 
	tessSize 32
	{
		map textures/mapcent_flag/jez_flag_blue.tga
		rgbGen identity
	}
	{
		map textures/mapcent_flag/jez_flagfx_blue.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 2 6
		tcMod scroll 0.05 -0.02
		tcGen environment 
	}
	{
		map textures/mapcent_flag/jez_flag_blue.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/jez_flagfx_shadow.tga
		blendfunc filter
		rgbGen identity
                tcMod scroll 0.05 -0.05
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Jezebel		 			  //
// Gold Snake Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/jez_flag_gold
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1.5 0 0.25 
	tessSize 32
	{
		map textures/mapcent_flag/jez_flag_gold.tga
		rgbGen identity
	}
	{
		map textures/mapcent_flag/jez_flagfx_gold.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 2 6
		tcMod scroll 0.05 -0.02
		tcGen environment 
	}
	{
		map textures/mapcent_flag/jez_flag_gold.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/jez_flagfx_shadow.tga
		blendfunc filter
		rgbGen identity
                tcMod scroll 0.05 -0.05
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Jezebel		 			  //
// Green Snake Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/jez_flag_green
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1.5 0 0.25 
	tessSize 32
	{
		map textures/mapcent_flag/jez_flag_green.tga
		rgbGen identity
	}
	{
		map textures/mapcent_flag/jez_flagfx_green.tga
		blendfunc blend
		rgbGen identity
		tcMod scale 2 6
		tcMod scroll 0.05 -0.02
		tcGen environment 
	}
	{
		map textures/mapcent_flag/jez_flag_green.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/jez_flagfx_shadow.tga
		blendfunc filter
		rgbGen identity
                tcMod scroll 0.05 -0.05
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Deathcow		 			  //
// Red Digital Arenas Flag 			  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////


textures/mapcent_flag/dc_flagred
{

	qer_editorimage textures/mapcent_flag/dc_flagred.tga
	sort banner
	surfaceparm alphashadow
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 100 sin 7 2 0 0.3
	{
		map textures/mapcent_flag/dc_flagred.tga
		blendfunc blend
		rgbGen vertex
	}
}

////////////////////////////////////////////////////
//						  //
// Deathcow		 			  //
// Blue Digital Arenas Flag 			  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/dc_flagblue
{
	qer_editorimage textures/mapcent_flag/dc_flagblue.tga
	sort banner
	surfaceparm alphashadow
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 100 sin 7 2 0 0.3
	{
		map textures/mapcent_flag/dc_flagblue.tga
		blendfunc blend
		rgbGen vertex
	}
}

////////////////////////////////////////////////////
//						  //
// H0rst-ds		 			  //
// Red/Blue Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/hds_flag
{
	qer_editorimage textures/mapcent_flag/hds_flag.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .2
	deformVertexes normal .3 .2
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		clampmap textures/mapcent_flag/hds_flag.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// H0rst-ds		 			  //
// yellow/green Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/hds_flag2
{
	qer_editorimage textures/mapcent_flag/hds_flag2.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .2
	deformVertexes normal .3 .2
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		clampmap textures/mapcent_flag/hds_flag2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


////////////////////////////////////////////////////
//						  //
// Rap7or		 			  //
// Blue Skull Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/rap_skullblue
{
	qer_editorimage textures/mapcent_flag/rap_skullflag_blue.tga
	tessSize 64
	deformVertexes wave 128 sin 0 3 0 .4
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/mapcent_flag/rap_skullflag_blue.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Rap7or		 			  //
// Red Skull Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/rap_skullred
{
	qer_editorimage textures/mapcent_flag/rap_skullflag_red.tga
	tessSize 64
	deformVertexes wave 128 sin 0 3 0 .4
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/mapcent_flag/rap_skullflag_red.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Rap7or		 			  //
// Green Skull Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/rap_skullgreen
{
	qer_editorimage textures/mapcent_flag/rap_skullflag_green.tga
	tessSize 64
	deformVertexes wave 128 sin 0 3 0 .4
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/mapcent_flag/rap_skullflag_green.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Rap7or		 			  //
// Yellow Skull Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/rap_skullyellow
{
	qer_editorimage textures/mapcent_flag/rap_skullflag_yellow.tga
	tessSize 64
	deformVertexes wave 128 sin 0 3 0 .4
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/mapcent_flag/rap_skullflag_yellow.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// sc4r4b		 			  //
// Red Hell Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/sc4_hell_red_flag
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 30 sin 0 3 0 0.2 
	deformVertexes wave 100 sin 0 3 0 0.7 
	tessSize 64
	{
		map textures/mapcent_flag/sc4_hell_red_flag.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// sc4r4b		 			  //
// Blue Hell Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/sc4_hell_blue_flag
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 30 sin 0 3 0 0.2 
	deformVertexes wave 100 sin 0 3 0 0.7 
	tessSize 64
	{
		map textures/mapcent_flag/sc4_hell_blue_flag.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// sc4r4b		 			  //
// Black Hell Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/sc4_hell_black_flag
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 30 sin 0 3 0 0.2 
	deformVertexes wave 100 sin 0 3 0 0.7 
	tessSize 64
	{
		map textures/mapcent_flag/sc4_hell_black_flag.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// sc4r4b		 			  //
// Black Halo Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/sc4_halo_black_flag
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 30 sin 0 3 0 0.2 
	deformVertexes wave 100 sin 0 3 0 0.7 
	tessSize 64
	{
		map textures/mapcent_flag/sc4_halo_black_flag.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// sc4r4b		 			  //
// Blue Halo Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/sc4_halo_blue_flag
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 30 sin 0 3 0 0.2 
	deformVertexes wave 100 sin 0 3 0 0.7 
	tessSize 64
	{
		map textures/mapcent_flag/sc4_halo_blue_flag.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// sc4r4b		 			  //
// Red Halo Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/sc4_halo_red_flag
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 30 sin 0 3 0 0.2 
	deformVertexes wave 100 sin 0 3 0 0.7 
	tessSize 64
	{
		map textures/mapcent_flag/sc4_halo_red_flag.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Syzygy		 			  //
// 		 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/syz_flag
{
surfaceparm nomarks
surfaceparm nonsolid
cull disable
deformVertexes wave 192 sin 0.25 1.5 0.1 0.25 
tessSize 32
//blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA

   {
      map textures/mapcent_flag/syz_flag.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

////////////////////////////////////////////////////
//						  //
// TechX		 			  //
// Xmas Flag 					  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/tchx_flag_xmas
{
 	qer_editorimage textures/mapcent_flag/tchx_flag_xmas.tga

      tessSize 64
      deformVertexes wave 194 sin 0 3 0 .4
      deformVertexes normal .5 .1
      surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        
        {
		map textures/mapcent_flag/tchx_flag_xmas.tga
		rgbGen identity
	}
        {
		map textures/effects/envmaprail.jpg
                tcGen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
	}
        {
		map textures/mapcent_flag/tchx_flag_xmas.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

////////////////////////////////////////////////////
//						  //
// TechX		 			  //
// Blue Flag 					  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/tchx_flag_blue
{
 	qer_editorimage textures/mapcent_flag/tchx_flag_blue.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none

      {
		map textures/effects/tinfxb.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
      {
		map textures/mapcent_flag/tchx_flag_blue.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	} 

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

////////////////////////////////////////////////////
//						  //
// TechX		 			  //
// Red Flag 					  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/tchx_flag_red
{
 	qer_editorimage textures/mapcent_flag/tchx_flag_red.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none

      {
		map textures/effects/tinfxb.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
      {
		map textures/mapcent_flag/tchx_flag_red.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	} 

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Banner 1 top Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_banner_1_top
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_banner_1_top.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/gizsfx_2.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Banner 1 bot Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_banner_1_bot
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_banner_1_bot.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/gizsfx_2.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Banner 2 top Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_banner_2_top
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_banner_2_top.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/gizsfx_2.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Banner 2 bot Flag 				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_banner_2_bot
{
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_banner_2_bot.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mapcent_flag/gizsfx_2.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Blue Flag top				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_blue_top
{
	surfaceparm alphashadow
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_blue_top.tga
		rgbGen identity
		depthWrite
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Blue Flag bot				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_blue_bot
{
	surfaceparm alphashadow
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_blue_bot.tga
		rgbGen identity
		depthWrite
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Red Flag top					  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_red_top
{
	surfaceparm alphashadow
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_red_top.tga
		rgbGen identity
		depthWrite
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Gizmo		 			  //
// Blue Flag bot				  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/giz_red_bot
{
	surfaceparm alphashadow
	surfaceparm nomarks
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 192 sin 0.25 1 0 0.5 
	tessSize 64
	{
		clampmap textures/mapcent_flag/giz_red_bot.tga
		rgbGen identity
		depthWrite
		alphaFunc LT128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Megaman		 			  //
// Various					  //
// Left/right/ full				  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/mega_a_green
{
	qer_editorimage textures/mapcent_flag/mega_a_green.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_green.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_green_left
{
	qer_editorimage textures/mapcent_flag/mega_a_green_left.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_green_left.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_green_right
{
	qer_editorimage textures/mapcent_flag/mega_a_green_right.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_green_right.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_black
{
	qer_editorimage textures/mapcent_flag/mega_a_black.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_black.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_black_left
{
	qer_editorimage textures/mapcent_flag/mega_a_black_left.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_black_left.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_black_right
{
	qer_editorimage textures/mapcent_flag/mega_a_black_right.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_black_right.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/mapcent_flag/mega_a_blue
{
	qer_editorimage textures/mapcent_flag/mega_a_blue.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_blue.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_blue_left
{
	qer_editorimage textures/mapcent_flag/mega_a_blue_left.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_blue_left.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_blue_right
{
	qer_editorimage textures/mapcent_flag/mega_a_blue_right.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_blue_right.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/mapcent_flag/mega_a_orange
{
	qer_editorimage textures/mapcent_flag/mega_a_orange.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_orange.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_orange_left
{
	qer_editorimage textures/mapcent_flag/mega_a_orange_left.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_orange_left.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_orange_right
{
	qer_editorimage textures/mapcent_flag/mega_a_orange_right.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_orange_right.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/mapcent_flag/mega_a_red
{
	qer_editorimage textures/mapcent_flag/mega_a_red.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_red.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_red_left
{
	qer_editorimage textures/mapcent_flag/mega_a_red_left.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_red_left.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_a_red_right
{
	qer_editorimage textures/mapcent_flag/mega_a_red_right.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_a_red_right.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/mapcent_flag/mega_b_blue
{
	qer_editorimage textures/mapcent_flag/mega_b_blue.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_b_blue.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_b_blue_left
{
	qer_editorimage textures/mapcent_flag/mega_b_blue_left.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_b_blue_left.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_b_blue_right
{
	qer_editorimage textures/mapcent_flag/mega_b_blue_right.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_b_blue_right.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/mapcent_flag/mega_b_red
{
	qer_editorimage textures/mapcent_flag/mega_b_red.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_b_red.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_b_red_left
{
	qer_editorimage textures/mapcent_flag/mega_b_red_left.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_b_red_left.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/mapcent_flag/mega_b_red_right
{
	qer_editorimage textures/mapcent_flag/mega_b_red_right.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	surfaceparm nonsolid
	deformVertexes wave 2 sin 1 0.1 0 0.25 
	deformVertexes wave 3 sin 1 0.5 0.1 0.2368 
	tessSize 32
	{
		map textures/mapcent_flag/mega_b_red_right.tga
		rgbGen Vertex
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Ha2			 			  //
// 						  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/hflag
{
qer_editorimage textures/mapcent_flag/ha2z_flag.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes wave 100 sin 0 3 0 .7


	   {
		   map textures/mapcent_flag/ha2z_flag.tga
        	   blendfunc gl_src_alpha gl_one_minus_src_alpha
        	   alphaFunc GE128
		   depthwrite
        	   rgbGen vertex
	   }
}




//=====================================================================================================================//

//Mapcenter Banner: AstroCreep/id
textures/mapcent_flag/mapcenter_banner
{
	q3map_lightimage textures/mapcent_flag/mapcenter_banner.tga
        q3map_surfacelight 100


	{
		map textures/mapcent_flag/mapcenter_banner.tga
	        rgbGen wave square 0 1 0 .5
	}

	{
		map textures/base_wall/comp3text.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}

	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}


	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}     

////////////////////////////////////////////////////
//						  //
// T24			 			  //
// 						  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/t24_weave_red
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 192 sin 0.25 1.5 0.1 0.25 
	tessSize 25
	{
		map textures/mapcent_flag/t24_weave_red.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/mapcent_flag/t24_weave_blue
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 128 triangle 0.25 1 0.05 0.16 
	tessSize 25
	{
		map textures/mapcent_flag/t24_weave_blue.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/mapcent_flag/t24_season_red
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 192 sin 0.12 0.8 0.5 0.32 
	tessSize 64
	{
		map textures/mapcent_flag/t24_season_goldenv.tga
		tcGen environment 
	}
	{
		map textures/mapcent_flag/t24_season_red.tga
		blendfunc gl_one gl_src_alpha
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/mapcent_flag/t24_season_blue
{
	surfaceparm nomarks
	surfaceparm nonsolid
	cull disable
	deformVertexes wave 192 sin 0.12 0.8 0.5 0.32 
	tessSize 64
	{
		map textures/mapcent_flag/t24_season_silverenv.tga
		tcGen environment 
	}
	{
		map textures/mapcent_flag/t24_season_blue.tga
		blendfunc gl_one gl_src_alpha
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

////////////////////////////////////////////////////
//						  //
// Renegade45		 			  //
// 						  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/r45_mcflag
{
        tessSize 256
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
	surfaceparm nonsolid
        cull none
        
        {
		map textures/mapcent_flag/r45_mcflag.tga
                            blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

////////////////////////////////////////////////////
//						  //
// Gibs 		 			  //
// 						  //
//						  //
//             					  //
//						  //
////////////////////////////////////////////////////

textures/mapcent_flag/gibs_flag_blue
{
qer_editorimage textures/mapcent_flag/gibs_flag_blue.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7


	   {
		   map textures/mapcent_flag/gibs_flag_blue.tga
        	   blendfunc gl_src_alpha gl_one_minus_src_alpha
        	   alphaFunc GE128
		   depthwrite
        	   rgbGen vertex
	   }
}



textures/mapcent_flag/gibs_flag_red
{
qer_editorimage textures/mapcent_flag/gibs_flag_red.tga
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 100 sin 0 3 0 .7


	   {
		   map textures/mapcent_flag/gibs_flag_red.tga
        	   blendfunc gl_src_alpha gl_one_minus_src_alpha
        	   alphaFunc GE128
		   depthwrite
        	   rgbGen vertex
	   }
}

models/mapobjects/impaled_skel/impaled_skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/impaled_skel/impaled_skel.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

models/mapobjects/flame/flame
{
	surfaceparm alphashadow
	cull disable
	{
		animmap 15 models/mapobjects/flame/flame.jpg models/mapobjects/flame/flame01.jpg models/mapobjects/flame/flame02.jpg models/mapobjects/flame/flame03.jpg models/mapobjects/flame/flame04.jpg models/mapobjects/flame/flame05.jpg
		blendfunc add
		rgbGen identity
	}
}

models/mapobjects/flame/lord
{
	 {
		map models/mapobjects/flame/flame.jpg
		tcMod scroll 1 1
		rgbGen identity
	}
	{
		map models/mapobjects/flame/lord.tga
		blendfunc blend
		rgbgen vertex
	}	
}

//-------Shader fixed by: Karloff
//
models/mapobjects/el_jumppad/el_jumpp 
{
	{
		map models/mapobjects/el_jumppad/el_basefx.tga
		tcmod scale 1 1
		rgbGen vertex
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -500
	}
	{
		map models/mapobjects/el_jumppad/el_rota.tga
		blendfunc add
		rgbGen vertex
		tcMod rotate -250
	}
	{
		map models/mapobjects/el_jumppad/el_basefx2.tga
		tcmod scale 1 1
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1 
	}
	{
		map models/mapobjects/el_jumppad/el_jumpp.tga
		blendfunc blend
		rgbGen vertex 
		alphaFunc GE128
	}
}
//-------------end shader


// ink shader for maps
// to use, add "cel" to shaderlist.txt
// add a "_celshader" key to worldspawn entity with a value of "cel/ink"

textures/cel/ink
{
	qer_editorimage gfx/colors/black.tga
	
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -2.0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	sort 16
	
	{
		map gfx/colors/black.tga
		rgbGen identity
	}
}

textures/cel/no_ink
{
//	qer_editorimage gfx/colors/black.tga
	
//	q3map_notjunc
	q3map_nonplanar
//	q3map_bounce 0.0
//	q3map_shadeangle 120
//	q3map_texturesize 1 1
//	q3map_invert
//	q3map_offset -2.0
	
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	
//	sort 16
	
//	{
//		map gfx/colors/black.tga
//		rgbGen identity
//	}
}

